"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Chargebacks = void 0;
const baseResource_1 = require("./baseResource");
class Chargebacks extends baseResource_1.BaseResource {
    constructor(token, basePath, config) {
        super(token, basePath + "/chargebacks", config);
    }
    async create(request) {
        return this.httpPost("", { data: request });
    }
    /**
     * Include is Optional. Related resource available to include: customer, account, transaction. See [Getting Related Resources](https://developers.unit.co/#intro-getting-related-resources)
     * @param chargebackId
     * @param include
     */
    async get(chargebackId, include = "") {
        return this.httpGet(`/${chargebackId}`, { params: { include } });
    }
    async list(params) {
        const parameters = {
            "page[limit]": ((params === null || params === void 0 ? void 0 : params.limit) ? params.limit : 100),
            "page[offset]": ((params === null || params === void 0 ? void 0 : params.offset) ? params.offset : 0),
            ...((params === null || params === void 0 ? void 0 : params.accountId) && { "filter[accountId]": params.accountId }),
            ...((params === null || params === void 0 ? void 0 : params.customerId) && { "filter[customerId]": params.customerId }),
            ...((params === null || params === void 0 ? void 0 : params.since) && { "filter[since]": params.since }),
            ...((params === null || params === void 0 ? void 0 : params.until) && { "filter[until]": params.until }),
            ...((params === null || params === void 0 ? void 0 : params.tags) && { "filter[tags]": params.tags }),
            ...((params === null || params === void 0 ? void 0 : params.include) && { "include": params.include }),
            ...((params === null || params === void 0 ? void 0 : params.sort) && { "sort": params.sort })
        };
        return this.httpGet("", { params: parameters });
    }
}
exports.Chargebacks = Chargebacks;
