import { Meta, UnitConfig, UnitResponse } from "../types/common";
import { BaseCheckPaymentListParams, CreateStopPaymentRequest, StopPayment, StopPaymentStatus } from "../types/checkPayment";
import { BaseResource } from "./baseResource";
export declare class StopPayments extends BaseResource {
    constructor(token: string, basePath: string, config?: UnitConfig);
    create(request: CreateStopPaymentRequest): Promise<UnitResponse<StopPayment>>;
    get(id: string): Promise<UnitResponse<StopPayment>>;
    disable(id: string): Promise<UnitResponse<StopPayment>>;
    list(params?: StopPaymentListParams): Promise<UnitResponse<StopPayment[]> & Meta>;
}
export interface StopPaymentListParams extends BaseCheckPaymentListParams {
    /**
     * Optional. Filter by status (Active or Disabled). Usage example: filter[status][0]=Active
     */
    status?: StopPaymentStatus[];
}
